
Katello - Bug #6426

Compatibility issue with java-1.7.0-openjdk

06/27/2014 07:37 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Alex Wood   

Category:    

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1010111 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1010111

++ This bug was initially created as a clone of Bug #1010082 ++

Description of problem:

Seems that latest SAM code has compatibility issue if java-1.7.0-openjdk is already installed in the system. After successfully

installing katello-headpin-all and running katello-configuration, katello-jobs fails to start

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64

candlepin-0.8.26-1.el6sam.noarch

candlepin-scl-1-5.el6_4.noarch

candlepin-scl-quartz-2.1.5-5.el6_4.noarch

candlepin-scl-rhino-1.7R3-1.el6_4.noarch

candlepin-scl-runtime-1-5.el6_4.noarch

candlepin-selinux-0.8.26-1.el6sam.noarch

candlepin-tomcat6-0.8.26-1.el6sam.noarch

elasticsearch-0.19.9-8.el6sat.noarch

katello-candlepin-cert-key-pair-1.0-1.noarch

katello-certs-tools-1.4.2-2.el6sat.noarch

katello-cli-1.4.3-11.el6sat.noarch

katello-cli-common-1.4.3-11.el6sat.noarch

katello-common-1.4.3-14.el6sam_splice.noarch

katello-configure-1.4.4-4.el6sat.noarch

katello-glue-candlepin-1.4.3-14.el6sam_splice.noarch

katello-glue-elasticsearch-1.4.3-14.el6sam_splice.noarch

katello-headpin-1.4.3-14.el6sam_splice.noarch

katello-headpin-all-1.4.3-14.el6sam_splice.noarch

Katello-Katello-Sanity-ImportKeys-1.2-1.noarch

katello-selinux-1.4.4-2.el6sat.noarch

openldap-2.4.23-32.el6_4.1.x86_64

openldap-devel-2.4.23-32.el6_4.1.x86_64

ruby193-rubygem-ldap_fluff-0.2.2-1.el6sat.noarch

ruby193-rubygem-net-ldap-0.3.1-2.el6sat.noarch

thumbslug-0.0.34-1.el6sam.noarch

thumbslug-selinux-0.0.34-1.el6sam.noarch

How reproducible:

Steps to Reproduce:

1. Provision a new RHEL system

2. Install java-1.7.0-openjdk

3. Install and configure katello-headpin-all

Actual results:
katello-jobs fails to start

Expected results:

Additional info:

[root@ibm-x3550m3-11 ~]# yum install y java-1.7.0-openjdk

[root@ibm-x3550m3-11 ~]# rpm -qa | grep openjdk

java-1.7.0-openjdk-1.7.0.40-2.4.2.1.el6.x86_64

[root@ibm-x3550m3-11 ~]# katello-service status

tomcat6 (pid 19716) is running...[  OK  ]

httpd (pid  19834) is running...

thumbslug (pid  19883) is running...

elasticsearch (pid  19926) is running...

katello (20077) is running.

katello (20096) is running.

katello (20115) is running.

katello (20134) is running.

katello (20153) is running.

katello (20172) is running.

katello (20191) is running.

katello (20210) is running.

katello (20237) is running.

katello (20264) is running.

katello (20291) is running.

katello (20318) is running.

katello (20350) is running.

katello (20379) is running.

katello (20407) is running.

katello (20435) is running.

katello (20464) is running.

katello (20495) is running.

katello (20518) is running.

katello (20548) is running.

katello (20583) is running.

katello (20621) is running.

katello (20673) is running.

katello (20700) is running.

katello (20736) is running.

delayed_job is not running.

delayed_job_monitor is not running.

[root@ibm-x3550m3-11 ~]# headpin -u admin -p admin ping

-----------------------------------------------------------------------------------------------------------------------------------------------

Katello Status

Status Service        Result Duration Message

------------------------------------------------------------------------------------------------------------------------------------------------

FAIL

candlepin      FAIL   SSL_connect returned=1 errno=0 state=SSLv2/v3 read server hello A: tlsv1 alert internal error

candlepin_auth FAIL   SSL_connect returned=1 errno=0 state=SSLv2/v3 read server hello A: tlsv1 alert internal error

elasticsearch  ok     38ms

katello_jobs   FAIL   katello-jobs service not running

thumbslug      ok     148ms

[root@ibm-x3550m3-11 ~]# rpm -qa | grep openjdk

java-1.7.0-openjdk-1.7.0.40-2.4.2.1.el6.x86_64

[root@ibm-x3550m3-11 ~]# yum install y java-1.6.0-openjdk

[root@ibm-x3550m3-11 ~]# katello-service stop

[root@ibm-x3550m3-11 ~]# katello-configure --deployment=sam --user-pass=admin

root@ibm-x3550m3-11 ~]# headpin -u admin -p admin ping

Service unavailable or restarting, try later

[root@ibm-x3550m3-11 ~]# katello-service status

tomcat6 (pid 22970) is running...[  OK  ]

httpd (pid  23288) is running...

thumbslug (pid  23176) is running...

elasticsearch (pid  22721) is running...

katello is not running.
delayed_job is not running.

delayed_job_monitor is not running.

[root@ibm-x3550m3-11 ~]# rpm -qa | grep openjdk

java-1.7.0-openjdk-1.7.0.40-2.4.2.1.el6.x86_64

java-1.6.0-openjdk-1.6.0.0-1.62.1.11.11.90.el6_4.x86_64

[root@ibm-x3550m3-11 ~]# rpm -e java-1.7.0-openjdk.x86_64

[root@ibm-x3550m3-11 ~]# rpm -qa | grep openjdk

java-1.6.0-openjdk-1.6.0.0-1.62.1.11.11.90.el6_4.x86_64

[root@ibm-x3550m3-11 ~]# katello-service stop

[root@ibm-x3550m3-11 ~]# katello-configure --deployment=sam --user-pass=admin

[root@ibm-x3550m3-11 ~]# headpin -u admin -p admin ping

-----------------------------------------------------------------------------------------------------------------------------------------------

Katello Status

Status Service        Result Duration Message

------------------------------------------------------------------------------------------------------------------------------------------------

ok

candlepin      ok     50ms

candlepin_auth ok     33ms

elasticsearch  ok     27ms

katello_jobs   ok     34ms

thumbslug      ok     212ms

[root@ibm-x3550m3-11 ~]# katello-service status

tomcat6 (pid 25090) is running...[  OK  ]

httpd (pid  26165) is running...

thumbslug (pid  25295) is running...

elasticsearch (pid  24843) is running...

katello (25482) is running.

katello (25501) is running.

katello (25520) is running.

katello (25539) is running.

katello (25558) is running.

katello (25577) is running.

katello (25596) is running.

katello (25615) is running.

katello (25642) is running.

katello (25669) is running.

katello (25696) is running.

katello (25723) is running.

katello (25750) is running.

katello (25785) is running.

katello (25804) is running.

katello (25840) is running.

katello (25860) is running.

katello (25891) is running.

katello (25912) is running.

katello (25949) is running.

katello (25976) is running.

katello (26006) is running.

katello (26051) is running.

katello (26080) is running.

katello (26121) is running.

delayed_job is running.

delayed_job_monitor is running.

--- Additional comment from Og Maciel on 2013-09-19 18:14:34 EDT ---

FWIW I used a RHEL 6.5-20130918.n.0 system from beaker

Associated revisions

Revision 4a3d73a1 - 06/27/2014 03:42 PM - Alex Wood

Fixes #6426 - Remove bad cipher suites. BZ1010082

History

#1 - 06/27/2014 07:40 PM - Eric Helms
- Category set to 78

- Status changed from New to Assigned

- Assignee set to Alex Wood

- Target version set to 48

- Difficulty set to easy

- Triaged set to Yes

#2 - 07/07/2014 07:48 AM - Eric Helms

- Target version changed from 48 to 49

#3 - 07/08/2014 03:14 PM - Eric Helms

- Status changed from Assigned to Closed

#4 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
